function I = fillcolorimage(f, N, color)
% given a set of coordinates f, assign a color to these coordinates in an
% NxN color image

Ir = zeros(N);
Ig = zeros(N);
Ib = zeros(N);
idx = squeeze(f(1,:,:) + N*(f(2,:,:) - 1)); % index into I
M = size(idx, 1);
for i = 1:M
  Ir(idx(i,:)) = color(1,i);
  Ig(idx(i,:)) = color(2,i);
  Ib(idx(i,:)) = color(3,i);
end

% consolidate all channels into one
I(:,:,1) = Ir;
I(:,:,2) = Ig;
I(:,:,3) = Ib;

% add a white border to better see where particles collide
I(1,:,:) = 1;
I(:,1,:) = 1;
I(N,:,:) = 1;
I(:,N,:) = 1;
